# Integration

{% hint style="info" %}
Email `help@usewinter.com` for your API key!
{% endhint %}

Install [Winter's checkout package](https://www.npmjs.com/package/@usewinter/checkout)

```
npm i @usewinter/checkout

OR 

yarn add @usewinter/checkout
```

Use the component in your React app

```
import { WinterCheckout } from '@usewinter/checkout';

<WinterCheckout 
    projectId={YOUR_PROJECT_ID} 
    production={false} 
    showModal={showWinter} 
    // pass in a function to be called when a successful purchase happens
    onSuccess={() => setParty(true)}
    // pass in a function to be called when the modal is closed
    onClose={() => setShowWinter(false)}
    // Replace with your desired crypto token payment method
    // e.g. 'ETH' or 'SOL' or 'MATIC'
    paymentMethod={'ETH'}
    // This will be the domain of the marketplace you want to pull the orders from
    orderSource={'opensea.io'}
    // This will be the domain of the marketplace you want the order to be fulfilled on
    fillSource={'opensea.io'}
/>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usewinter.com/cross-chain-payments/integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
